package com.rjconsultores.ventaboletos.enums;

public enum CustomTipo {
	
	TIPO_CLIENTE(1, "Cliente"),
	TIPO_SKIN(2, "Skin"),
	TIPO_MENU(3, "Menu"),
	TIPO_SERVIDOR(4, "Servidor");
	
	private Integer valor;
	private String descricao;
	
	private CustomTipo(Integer valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}

	public Integer getValor() {
		return valor;
	}
	
	@Override
	public String toString() {
		return this.descricao;
	}
	
	public static CustomTipo getCustomTipo(Integer tValor) {
		for (CustomTipo valor : CustomTipo.values()) {
			if (valor.getValor().equals(tValor)) {
				return valor;
			}
		}
		return null;
	}
	
}
